Redmine - Defect #38159

Contextual menu does’'nt appear after scrolling down
2023-01-09 14:28 - Jp Mill

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 5.0.3
Description

| installed latest redmine 5 and when I'm on issue list, right click is working but if | scroll down a little bit the page , the contextual
menu does'nt appear anymore. Tried several browsers without success.

History

#1 - 2023-01-23 02:57 - Go MAEDA

- Status changed from New to Needs feedback
| cannot reproduce the behavior you reported. If you use plugins, please try again after uninstalling the plugins.
#2 - 2023-01-25 14:41 - Michael Brohl

We have the same effect since we switched to Redmine 5.0.4 lately.

The context menu works for the first tickets in the ticket list but fails to work for tickets below.
The effect is independent of the tickets, it seems to be related to the position in the table.

Current workaround is to filter and sort the tickets so that the ones to be edited are listed on top.

Deinstalling the plugins is not an option for us with the production system so it would be great if someone with a plugin-free system could reproduce
the behaviour.

#3 - 2023-01-26 13:19 - Dmitry Makurin

Sounds very similar to https:/github.com/nanego/redmine_hide_sidebar/issues/3

#4 - 2023-02-09 16:33 - Jp Mill

Michael Brohl wrote:
We have the same effect since we switched to Redmine 5.0.4 lately.

The context menu works for the first tickets in the ticket list but fails to work for tickets below.
The effect is independent of the tickets, it seems to be related to the position in the table.

Current workaround is to filter and sort the tickets so that the ones to be edited are listed on top.
Deinstalling the plugins is not an option for us with the production system so it would be great if someone with a plugin-free system could

reproduce the behaviour.

Can you list your plugins , | will compare it to ours
Thanks

#5 - 2023-02-14 17:04 - Michael Brohl

I'm pretty sure that it is the sidebar plugin causing the effect like it is mentioned in #38159#note-3

#6 - 2023-02-15 00:57 - Go MAEDA
- Category deleted (Issues list)
- Status changed from Needs feedback to Closed

- Resolution set to Invalid
https://www.redmine.org/issues/38159#note-3

Michael Brohl wrote:

I'm pretty sure that it is the sidebar plugin causing the effect like it is mentioned in #38159#note-3

Thank you for reporting that.

Since it is caused by the plugin, | am closing this issue.

#7 - 2023-02-16 13:03 - Michael Brohl

I'm not sure if it is valid to not dig further here just because the cause comes from another Plugin.

| guess that the existence of another <div> container causes the calculation of the context menu position to get wrong results.
It would be great if someone with Redmine developer experience could check that.

#8 - 2023-02-17 21:20 - Jp Mill

| agree

2025-05-02 22


https://www.redmine.org/issues/38159#note-3
http://www.tcpdf.org

